ilch Forum » Ilch CMS 2.X » Allgemein » Updateserver alternative

Geschlossen
  1. #1
    User Pic
    RTX2070 Entwickler
    Registriert seit
    14.06.2019
    Beitrge
    246
    Beitragswertungen
    44 Beitragspunkte
    Hallo zusammen,

    es hat sich herausgestellt, dass es noch einen alternativen Updateserver gibt.

    Wer diesen nutzen möchte, muss ihn manuell in der Datenbank eintragen.

    Wenn ihr bereits Erfahrung mit MySQL/PhpMyAdmin habt.

    AlternativServer --- > www.ilch.de/ilch2_updates/stable/


    Andernfalls habe ich ein kleines Video hierzu erstellt.

    youtu.be/tKwNzhGzoI0


    Zur eigenen Sicherheit macht euch ein Backup, bevor ihr in der Datenbank irgendwelche Änderungen vornimmt.

    Wünsche euch ein schönes Wochenende

    RTX


    verwendete ilch Version: 2.1.x

    betroffene Homepage: localhost


    Zuletzt modifiziert von RTX2070 am 07.11.2022 - 15:56:45
    2 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    hewo Mitglied
    Registriert seit
    20.10.2022
    Beitrge
    20
    Beitragswertungen
    4 Beitragspunkte
    Hallo RTX2070,

    ich kann nur sagen DAUMEN HOCH

    Und dank deines Videos auch für DB-Neulinge sehr gut erklärt!

    amicitalk.net und chat-welt.de verwenden schon den neuen Server.

    Danke Danke Danke und Liebe Grüße
    hewo
    Wer versucht, kann scheitern.
    Wer es gar nicht erst versucht, ist schon gescheitert.
    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    RTX2070 Entwickler
    Registriert seit
    14.06.2019
    Beitrge
    246
    Beitragswertungen
    44 Beitragspunkte
    AlternativServer... zwinker

    Soll und wird kein Dauerzustand sein, sondern nur eine gewisse Zeit überbrücken.

    Mfg
    0 Mitglieder finden den Beitrag gut.
  4. #4
    User Pic
    ht-clan Mitglied
    Registriert seit
    10.03.2020
    Beitrge
    35
    Beitragswertungen
    1 Beitragspunkte
    Funktioniert Super danke
    0 Mitglieder finden den Beitrag gut.
  5. #5
    User Pic
    wiesenflieger Mitglied
    Registriert seit
    03.12.2017
    Beitrge
    180
    Beitragswertungen
    12 Beitragspunkte
    ZitatZitat geschrieben von ht-clan
    Funktioniert Super danke

    komisch bei mir leider nicht
    "Versionsabfrage ist mit folgenden Fehler fehlgeschlagen: "SSL certificate problem: certificate has expired". Versuchen Sie den Updateserver zu wechseln, sollte dieses Problem nicht temporär sein."
    habe diese Adresse eingegeben externer Link


    Zuletzt modifiziert von wiesenflieger am 07.11.2022 - 15:35:16
    0 Mitglieder finden den Beitrag gut.
  6. #6
    User Pic
    RTX2070 Entwickler
    Registriert seit
    14.06.2019
    Beitrge
    246
    Beitragswertungen
    44 Beitragspunkte
    Lokal oder beim Provider geändert?
    Nach Änderung den Cache geleert?
    Adresse mit (https://) in der DB gespeichert?

    Lg


    Zuletzt modifiziert von RTX2070 am 07.11.2022 - 18:49:20
    0 Mitglieder finden den Beitrag gut.
  7. #7
    User Pic
    SiV-Siggi Mitglied
    Registriert seit
    21.11.2010
    Beitrge
    734
    Beitragswertungen
    39 Beitragspunkte
    ich hab auch das Problem...

    ja mit externer Link
    ja beim Provider
    ja cache geleert


    Zuletzt modifiziert von SiV-Siggi am 07.11.2022 - 19:13:47
    0 Mitglieder finden den Beitrag gut.
  8. #8
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    330
    Beitragswertungen
    57 Beitragspunkte
    Also der server sollte online sein,
    was noch ausprobiert werden könnte das im server Cache noch was hängt....
    Vlt einmal aufn server sämtliche Dateien im ordner "ilch2root/cache" entfernen und nochmal versuchen


    Zuletzt modifiziert von hhunderter am 07.11.2022 - 20:25:11
    0 Mitglieder finden den Beitrag gut.
  9. #9
    User Pic
    SiV-Siggi Mitglied
    Registriert seit
    21.11.2010
    Beitrge
    734
    Beitragswertungen
    39 Beitragspunkte
    hat auch nicht geholfen :-(
    0 Mitglieder finden den Beitrag gut.
  10. #10
    User Pic
    RTX2070 Entwickler
    Registriert seit
    14.06.2019
    Beitrge
    246
    Beitragswertungen
    44 Beitragspunkte
    Ist schon merkwürdig warum ihr beide die Probleme habt.

    Prüft nochmals alle Schritte, schaut das Video.... Schreibfehler etc...

    Gehe davon aus das ihr Version 2.1.43 nutzt ???...

    Arbeitet mal dieses Workaround durch:

    github.com/IlchCMS/Ilch-2.0/wiki/Doku-Benutzer-Zertifikat-%C3%BCberpr%C3%BCfen

    Versucht mal auf GitHub das Zertifikat manuell herunterzuladen und mit eurem beim Provider zu ersetzen.

    github.com/IlchCMS/Ilch-2.0/tree/master/certificate


    Vorher natürlich Sicherheitsbackup machen.

    Lg


    Zuletzt modifiziert von RTX2070 am 07.11.2022 - 21:11:17
    0 Mitglieder finden den Beitrag gut.
  11. #11
    User Pic
    ht-clan Mitglied
    Registriert seit
    10.03.2020
    Beitrge
    35
    Beitragswertungen
    1 Beitragspunkte
    Mit https://www.ilch.de/ilch2_updates/stable/ funktioniert es also auch in der datenbank so angeben
    0 Mitglieder finden den Beitrag gut.
  12. #12
    User Pic
    SiV-Siggi Mitglied
    Registriert seit
    21.11.2010
    Beitrge
    734
    Beitragswertungen
    39 Beitragspunkte
    ich kann schreiben lassen wen ich will, es funzt nicht.
    0 Mitglieder finden den Beitrag gut.
  13. #13
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    330
    Beitragswertungen
    57 Beitragspunkte
    besteht das problem weiterhin?
    0 Mitglieder finden den Beitrag gut.
  14. #14
    User Pic
    wiesenflieger Mitglied
    Registriert seit
    03.12.2017
    Beitrge
    180
    Beitragswertungen
    12 Beitragspunkte
    ZitatZitat geschrieben von hhunderter
    besteht das problem weiterhin?


    ja hat bei mir leider alles nichts gbracht
    0 Mitglieder finden den Beitrag gut.
  15. #15
    User Pic
    SiV-Siggi Mitglied
    Registriert seit
    21.11.2010
    Beitrge
    734
    Beitragswertungen
    39 Beitragspunkte
    ja, bei mir auch!
    0 Mitglieder finden den Beitrag gut.
  16. #16
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    330
    Beitragswertungen
    57 Beitragspunkte
    hättet ihr gegebenfalls nacher mal Zeit Für TS oder ähnlich?
    0 Mitglieder finden den Beitrag gut.
  17. #17
    User Pic
    wiesenflieger Mitglied
    Registriert seit
    03.12.2017
    Beitrge
    180
    Beitragswertungen
    12 Beitragspunkte
    habe leider kein Headset oder des gleichen
    0 Mitglieder finden den Beitrag gut.
  18. #18
    User Pic
    wiesenflieger Mitglied
    Registriert seit
    03.12.2017
    Beitrge
    180
    Beitragswertungen
    12 Beitragspunkte
    Habe das ganze mal auf meiner Testseite bei lima-city probier, dort funzt es.
    Die Zertifikate sind gleich und noch gültig.
    So und was nun??
    0 Mitglieder finden den Beitrag gut.
  19. #19
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    330
    Beitragswertungen
    57 Beitragspunkte
    Wenn alles gleich ist auf beiden Servern, dann kann es nur noch am Server (hoster) liegen.
    Gab es ein Update auf den Server? Sind curl Einstellungen geändert ?


    Zuletzt modifiziert von hhunderter am 08.11.2022 - 19:06:16
    0 Mitglieder finden den Beitrag gut.
  20. #20
    User Pic
    wiesenflieger Mitglied
    Registriert seit
    03.12.2017
    Beitrge
    180
    Beitragswertungen
    12 Beitragspunkte
    Nein nichts der gleichen
    0 Mitglieder finden den Beitrag gut.
  21. #21
    User Pic
    blackcoder Entwickler
    Registriert seit
    22.05.2014
    Beitrge
    2.005
    Beitragswertungen
    320 Beitragspunkte
    Lade dir mal die cacert.pem von hier herunter und ersetze damit die alte auf deinem Server (im "certificate" Ordner).
    curl.se/docs/caextract.html

    "ISRG Root X2" fehlt in der alten cacert.pem

    Siehe auch "Chain of Trust" von Let's Encrypt:
    letsencrypt.org/certificates/

    Wenn das hilft, sollte Ilch mal mit einem Update die Datei aktualisieren.
    github.com/IlchCMS/Ilch-2.0/commits/master/certificate/cacert.pem
    2 Mitglieder finden den Beitrag gut.
  22. #22
    User Pic
    SiV-Siggi Mitglied
    Registriert seit
    21.11.2010
    Beitrge
    734
    Beitragswertungen
    39 Beitragspunkte
    Hallo,

    mit den beiden Seiten(Webspace) mit den ich das probiert habe waren beim gleichen Provider.

    da ich noch einen anderen Provider habe und dies heute morgen mal probiert habe hat es gleich funktioniert.

    Ich habe auch gleich den Provider gekündigt!

    Grüße :-)
    0 Mitglieder finden den Beitrag gut.
  23. #23
    User Pic
    wiesenflieger Mitglied
    Registriert seit
    03.12.2017
    Beitrge
    180
    Beitragswertungen
    12 Beitragspunkte
    ZitatZitat geschrieben von blackcoder
    Lade dir mal die cacert.pem von hier herunter und ersetze damit die alte auf deinem Server (im "certificate" Ordner).
    curl.se/docs/caextract.html

    "ISRG Root X2" fehlt in der alten cacert.pem

    Siehe auch "Chain of Trust" von Let's Encrypt:
    letsencrypt.org/certificates/

    Wenn das hilft, sollte Ilch mal mit einem Update die Datei aktualisieren.
    github.com/IlchCMS/Ilch-2.0/commits/master/certificate/cacert.pem


    genau das war es, Danke blackcoder Yes
    0 Mitglieder finden den Beitrag gut.
  24. #24
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    330
    Beitragswertungen
    57 Beitragspunkte
    ZitatZitat geschrieben von wiesenflieger
    ZitatZitat geschrieben von blackcoder
    Lade dir mal die cacert.pem von hier herunter und ersetze damit die alte auf deinem Server (im "certificate" Ordner).
    curl.se/docs/caextract.html

    "ISRG Root X2" fehlt in der alten cacert.pem

    Siehe auch "Chain of Trust" von Let's Encrypt:
    letsencrypt.org/certificates/

    Wenn das hilft, sollte Ilch mal mit einem Update die Datei aktualisieren.
    github.com/IlchCMS/Ilch-2.0/commits/master/certificate/cacert.pem


    genau das war es, Danke blackcoder Yes


    Hast du zufällig noch ein Backup von der alten pem ? Welche ilch Version hast du?
    0 Mitglieder finden den Beitrag gut.
  25. #25
    User Pic
    RTX2070 Entwickler
    Registriert seit
    14.06.2019
    Beitrge
    246
    Beitragswertungen
    44 Beitragspunkte
    Die Punkte hatte ich ja bereits angesprochen lcheln Version etc...scheint ja dann nicht aktuell zu sein..

    Aber läuft ja nun scheinbar...
    Also weiteren Pkt. für die ToDo Liste zwinker
    0 Mitglieder finden den Beitrag gut.
  26. #26
    User Pic
    SiV-Siggi Mitglied
    Registriert seit
    21.11.2010
    Beitrge
    734
    Beitragswertungen
    39 Beitragspunkte
    ZitatZitat geschrieben von blackcoder
    Lade dir mal die cacert.pem von hier herunter und ersetze damit die alte auf deinem Server (im "certificate" Ordner).
    curl.se/docs/caextract.html

    "ISRG Root X2" fehlt in der alten cacert.pem

    Siehe auch "Chain of Trust" von Let's Encrypt:
    letsencrypt.org/certificates/

    Wenn das hilft, sollte Ilch mal mit einem Update die Datei aktualisieren.
    github.com/IlchCMS/Ilch-2.0/commits/master/certificate/cacert.pem


    habe die Datei auch erstetzt, nun geht es... Danke
    0 Mitglieder finden den Beitrag gut.
  27. #27
    User Pic
    blackcoder Entwickler
    Registriert seit
    22.05.2014
    Beitrge
    2.005
    Beitragswertungen
    320 Beitragspunkte
    Die cacert.pem, die aktuell im master ist, ist schon zu alt. Auch wenn wiesenflieger 2.1.43 installiert hat, kann das Problem auftreten.

    Die cacert.pem hat übrigens nichts mit der Certificate.crt zu tun. Die sind beide für unterschiedliche Funktionen.

    Die cacert.pem hilft Ilch zu "beurteilen", ob die Verbindung zum Ilch-Updateserver (HTTPS, Zertifikat z.B. von Let's Encrypt) "vertrauenswürdig" ist. Vertrauenswürdig im Sinne von ein Zertifikat für ilch.de, welches von Let's Encrypt ausgestellt wurde. Dies war dazu gedacht um die Update-Funktion etwas robuster gegen Manipulationen zu machen und um nicht Informationen preiszugeben, wie z.B. welches Update, Modul oder Layout genau heruntergeladen wurde.

    Die Certificate.crt wird hingegen benötigt (zusammen mit der Signatur) um zu Überprüfen ob die eigentlichen Updates (Ilch-Update, Module und Layouts) nicht manipuliert wurden. Eine Manipulation kann auf dem Transportweg oder direkt auf dem Server geschehen sein.
    github.com/IlchCMS/Ilch-2.0/wiki/Doku-Benutzer-Signierte-Updates,-Module-und-Layouts
    0 Mitglieder finden den Beitrag gut.
  28. #28
    User Pic
    RTX2070 Entwickler
    Registriert seit
    14.06.2019
    Beitrge
    246
    Beitragswertungen
    44 Beitragspunkte
    Allerbest...Daumen hoch zwinker
    0 Mitglieder finden den Beitrag gut.
  29. #29
    User Pic
    hhunderter Entwickler
    Registriert seit
    12.08.2018
    Beitrge
    330
    Beitragswertungen
    57 Beitragspunkte
    Wofür die Dateien im einzelnen welche Funktionen haben war mir bekannt ,Aber da frage ich mich warum das problem nur vereinzelt vorkommt


    Zuletzt modifiziert von hhunderter am 09.11.2022 - 20:48:08
    0 Mitglieder finden den Beitrag gut.
  30. #30
    User Pic
    xRebellx Mitglied
    Registriert seit
    07.08.2012
    Beitrge
    503
    Beitragswertungen
    27 Beitragspunkte
    Guten Morgen,

    Meine Frage wäre warum kein Aktueller Updateserver zur Verfügung steht ? Wir sind seit Jahren bei Ilch aber sowas wie im Moment gab es noch nicht oh oh oh. Ich bin kein Profi der an der Datenbank rumschraubt und es gibt sicher einige die das auch nicht machen. Leute Ihr seit doch keine Anfäger hier also Updateserver an den Start und alles ist gut.
    1 Mitglieder finden den Beitrag gut.
Geschlossen

Zurck zu Allgemein

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten